Bug 501481 - Object class violation unknown object class "nisDomainObject" error while running ipa-server-install script
Object class violation unknown object class "nisDomainObject" error while run...
Status: CLOSED CURRENTRELEASE
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
2.0
x86_64 Linux
medium Severity high
: v2 release
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-05-19 08:33 EDT by Sankar Ramalingam
Modified: 2015-01-04 18:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-10 16:15:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sankar Ramalingam 2009-05-19 08:33:03 EDT
Description of problem:

Object class violaation error observed while running ipa-server-install script on Fedora 10 .

Applying LDAP updates
root        : ERROR    Update failed: A database error occurred: Object class violation unknown object class "nisDomainObject"

--------------------------------------------------------------------
Here is the output of kinit admin and ipa-finduser admin commands.


[root@rhvdlapyf10 ~]#  kinit admin
kinit(v5): Cannot contact any KDC for realm 'TESTLOCAL' while getting initial credentials

[root@rhvdlapyf10 ~]# ipa-finduser admin
Did not receive Kerberos credentials.

-----------------------------------------------------------------------
Contents of /etc/krb5.conf and /etc/hosts file.


[root@rhvdlapyf10 ~]# cat /etc/krb5.conf 
[logging]
 default = FILE:/var/log/krb5libs.log
 kdc = FILE:/var/log/krb5kdc.log
 admin_server = FILE:/var/log/kadmind.log

[libdefaults]
 default_realm = TESTLOCAL
 dns_lookup_realm = true
 dns_lookup_kdc = true
 ticket_lifetime = 24h
 forwardable = yes

[realms]
 TESTLOCAL = {
  kdc = rhvdlapyf10.testlocal:88
  #kdc = 10.65.1.47:88
  #admin_server = 10.65.1.47:749
 admin_server = rhvdlapyf10.testlocal:749
  default_domain = testlocal
}

[domain_realm]
 .testlocal = TESTLOCAL
 testlocal = TESTLOCAL

---------------------------------------------------------------

[root@rhvdlapyf10 ~]# cat /etc/hosts
# Do not remove the following line, or various programs
# that require network functionality will fail.
127.0.0.1	localhost.localdomain rhvdlapyf10 localhost
::1		localhost6.localdomain6 localhost6
10.65.1.33      rhvdipa.pnq.redhat.com
10.65.1.43      clonerh
#10.65.1.14     rhvdlapyf10
#192.168.1.2    rhvdlapyf10.testlocal
10.65.1.47	rhvdlapyf10.testlocal rhvdlapyf10
Comment 1 Rob Crittenden 2009-05-19 09:07:56 EDT
What Fedora release is this?

What is the output of: 

% rpm -q ipa-server
% rpm -q fedora-ds-base
Comment 2 Sankar Ramalingam 2009-05-26 09:01:58 EDT
(In reply to comment #1)
> What Fedora release is this?
> 
> What is the output of: 
> 
> % rpm -q ipa-server
> % rpm -q fedora-ds-base  

It was on Fedora 10 x86_64. It was on my laptop and I have removed it now.

Used ipa-server daily builds repo.
and Fedora DS 1.1 version.
Comment 3 Jenny Galipeau 2011-06-10 16:07:56 EDT
This has no fix associated with it.  So it can not be verified.  If it was not reproducible feel free to close it with that status.  Thanks
Comment 4 Dmitri Pal 2011-06-10 16:15:04 EDT
This is the old v1 issue that has been long gone.

Note You need to log in before you can comment on or make changes to this bug.